Bug 520297 - kernel: ipv4: make ip_append_data() handle NULL routing table [rhel-5.5]
Summary: kernel: ipv4: make ip_append_data() handle NULL routing table [rhel-5.5]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 533192 520299 520300 520301 525215 526775 527436
TreeView+ depends on / blocked
 
Reported: 2009-08-30 11:19 UTC by Eugene Teo (Security Response)
Modified: 2015-05-05 01:17 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 520299 520300 520301 (view as bug list)
Environment:
Last Closed: 2010-03-30 06:54:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Eugene Teo (Security Response) 2009-08-30 11:19:42 UTC
Description of problem:
Add a check in ip_append_data() for NULL *rtp to prevent future bugs in callers from being exploitable.

http://git.kernel.org/linus/788d908f2879a17e5f80924f3da2e23f1034482d

Comment 8 Don Zickus 2009-10-06 19:39:06 UTC
in kernel-2.6.18-168.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 13 errata-xmlrpc 2010-03-30 06:54:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.